import request from '@/utils/request'

// 查询申报数据列表
export function listVCsisBusinessAsd (query) {
  return request({
    url: '/system/vCsisBusinessAsd/list',
    method: 'get',
    params: query
  })
}

// 查询申报数据详细
export function getVCsisBusinessAsd (id) {
  return request({
    url: '/system/vCsisBusinessAsd/' + id,
    method: 'get'
  })
}

// 新增申报数据
export function addVCsisBusinessAsd (data) {
  return request({
    url: '/system/vCsisBusinessAsd',
    method: 'post',
    data: data
  })
}

// 修改申报数据
export function updateVCsisBusinessAsd (data) {
  return request({
    url: '/system/vCsisBusinessAsd',
    method: 'put',
    data: data
  })
}

// 删除申报数据
export function delVCsisBusinessAsd (id) {
  return request({
    url: '/system/vCsisBusinessAsd/' + id,
    method: 'delete'
  })
}

// 导出申报数据
export function exportVCsisBusinessAsd (query) {
  return request({
    url: '/system/vCsisBusinessAsd/export',
    method: 'get',
    params: query
  })
}
